<?php
/*
    part-db version 0.1
    Copyright (C) 2005 Christoph Lechner
    http://www.cl-projects.de/

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

    $Id: catmgr.php 392 2012-03-03 06:30:03Z bubbles.red@gmail.com $

*/
    include('lib.php');
    partdb_init();
    
	$refreshnav = false;
	
    /*
     * In some cases a confirmation question has to be displayed.
     */
    $special_dialog = false;
	
    $action = 'default';
    if ( isset( $_REQUEST["add"]))        { $action = 'add';}
    if ( isset( $_REQUEST["delete"]))     { $action = 'delete';}
    if ( isset( $_REQUEST["rename"]))     { $action = 'rename';}
    if ( isset( $_REQUEST["new_parent"])) { $action = 'new_parent';}

    $catsel      = isset( $_REQUEST["catsel"]) ? $_REQUEST["catsel"] : -1;
    $parentnode  = isset( $_REQUEST["parentnode"])  ? $_REQUEST["parentnode"] : 0;


    if ( $action == 'add')
    {
        category_add( $_REQUEST["new_category"], $parentnode);
		$refreshnav = true;
    }
    
    
    if ( $action == 'delete')
    {
        /*
         * Delete a category.
         * Includes confirmation questions. Don't delete the
         * category when there are parts in it.
         */
        if ((! isset($_REQUEST["del_ok"])) && (! isset($_REQUEST["del_nok"])) && $catsel >= 0)
        {
            $special_dialog = true;
            if ( parts_count_on_category( $catsel) != 0)
            {
                print "<html><body>".
                    "<div style=\"text-align:center;\">".
                    "<div style=\"color:red;font-size:x-large;\">Kategorie kann nicht gel&ouml;scht werden!</div>".
                    "Es gibt noch Teile, die in dieser Kategorie eingetragen sind.".
                    "<form method=\"get\" action=\"\">".
                    "<input type=\"submit\" value=\"OK\">".
                    "</form></div>".
                    "</body></html>";
            }
            else
            {
                print "<html><body>".
                    "<div style=\"text-align:center;\">".
                    "<div style=\"color:red;font-size:x-large;\">M&ouml;chten Sie die Kategorie &quot;". category_get_name($catsel) ."&quot; wirklich l&ouml;schen?</div>".
                    "Der L&ouml;schvorgang ist irreversibel!".
                    "<form action=\"\" method=\"post\">".
                    "<input type=\"hidden\" name=\"catsel\"  value=\"". $catsel ."\">".
                    "<input type=\"hidden\" name=\"delete\"  value=\"x\">".
                    "<input type=\"submit\" name=\"del_nok\" value=\"Nicht L&ouml;schen\">".
                    "<input type=\"submit\" name=\"del_ok\"  value=\"L&ouml;schen\">".
                    "</form></div>".
                    "</body></html>";
            }
        }
        else if (isset($_REQUEST["del_ok"]))
        {
            // the user said it's OK to delete the category
            category_del( $catsel);
			$refreshnav = true;
        }
    }
   

    if ( $action == 'rename')
    {
        /* rename */
        category_rename( $catsel, $_REQUEST["new_name"]);
		$refreshnav = true;
    }
   

    if ( $action == 'new_parent')
    {
        /* resort */
        category_new_parent( $catsel, $parentnode);
        $refreshnav = true;
    }

    $data       = category_select( $catsel);
    $name       = $data['name'];
    $parentnode = $data['parentnode'];

    $size       = min( categories_count(), 30);

    if ($special_dialog == false)
    {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <title>Kategorien</title>
    <?php print_http_charset(); ?>
    <link rel="StyleSheet" href="css/partdb.css" type="text/css">
</head>
<body class="body">

<script type="text/javascript">
	<?php
        if ( $refreshnav)
        {
            $refreshnav = false;
            print "parent.frames._nav_frame.location.reload();";		
        }
	?>
</script>


<div class="outer">
    <h2>Kategorie anlegen</h2>
    <div class="inner">
        <form action="" method="post">
            <table>
                <tr>
                    <td>&Uuml;bergeordnete Kategorie ausw&auml;hlen:</td>
                    <td>
                        <select name="parentnode">
                        <option value="0">root node</option>
                        <?php categories_build_tree( 0, 0, $parentnode); ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Name der neuen Kategorie</td>
                    <td>
                        <input type="text"   name="new_category">
                        <input type="submit" name="add" value="Anlegen">
                    </td>
                </tr>
            </table>
        </form>
    </div>
</div>


<div class="outer">
    <h2>Kategorie umbennenen/l&ouml;schen/sortieren</h2>
    <div class="inner">
        <form action="" method="post">
            <table>
                <tr>
                    <td>
                        W&auml;hlen Sie die zu bearbeitende Kategorie:<br>
                    </td>
                    <td>
                        Was soll mit der ausgew&auml;hlten Kategorie geschehen?
                    </td>
                </tr>
                <tr>
                    <td rowspan="3">
                        <select name="catsel" size="<?php print $size;?>" onChange="this.form.submit()">
                        <?php categories_build_tree( 0, 0, $catsel); ?>
                        </select>
                    </td>
                    <td>
                        Neuer Name:<br>
                        <input type="text" name="new_name" value="<?php print $name; ?>">
                        <input type="submit" name="rename" value="Umbenennen">
                    </td>
                </tr>
                <tr>
                    <td>
                        Neue &Uuml;berkategorie:<br>
                        <select name="parentnode">
                        <option value="0">root node</option>
                        <?php categories_build_tree( 0, 0, $parentnode); ?>
                        </select>
                        <input type="submit" name="new_parent" value="Umsortieren">
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="submit" name="delete" value="L&ouml;schen">
                    </td>
                </tr>
            </table>
        </form>
    </div>
</div>

</body>
</html>

<?PHP
    }
?>
