<?php
/*
    part-db version 0.1
    Copyright (C) 2005 Christoph Lechner
    http://www.cl-projects.de/

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

    $Id: nav.php 514 2012-08-09 14:43:54Z kami89@gmx.ch $
*/
    include('config.php');
    include('lib.php');
    partdb_init();


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <title>Navigation</title>
    <?php print_http_charset(); ?>
    <link rel="StyleSheet" href="css/partdb.css" type="text/css">
    <script type="text/javascript" src="dtree.js"></script>
</head>
<body class="body">

<div class="outer">
    <h2>Suche
        <span id="homelink">
        <a href="startup.php" target="content_frame"><img src="img/partdb/partdb.png" alt="Home"></a>
        </span>
    </h2>
    <div class="inner">
        <form action="search.php" method="get" target="content_frame">
            <input type="text" name="keyword" style="width:180px;" maxlength="20">
            <input type="submit" name="s" value="Los!"><br>
            <div class="search_selection">
                <p><input type="checkbox" name="search_nam" value="true" checked>Name</p>
                <p><input type="checkbox" name="search_cat" value="true" checked>Kategorie</p>
                <p><input type="checkbox" name="search_des" value="true" checked>Beschreibung</p>
                <p><input type="checkbox" name="search_loc" value="true" checked>Lagerort</p>
                <p><input type="checkbox" name="search_com" value="true" checked>Kommentar</p>
                <p><input type="checkbox" name="search_sup" value="true"        >Lieferant</p>
                <p><input type="checkbox" name="search_fpr" value="true" checked>Footprint</p>
                <p><input type="checkbox" name="search_snr" value="true"        >Bestellnr.</p>
            </div>
            <div class="clear"></div>
        </form>
    </div>
</div>

<div class="outer">
    <h2>Kategorien</h2>
    <div class="inner">
        <div class="dtree">
            <script type="text/javascript">
                cat_tree = new dTree('cat_tree');
                cat_tree.add(0,-1,'');
                <?php categories_build_navtree(); ?>
                document.write(cat_tree);
            </script>
            <br>
            <a href="javascript:cat_tree.openAll();">Alle Anzeigen</a> | <a href="javascript:cat_tree.closeAll();">Alle Schliessen</a>
        </div>
    </div>
</div>

<?php
    if (! $disable_devices) {
?>
<div class="outer">
    <h2>Baugruppen</h2>
    <div class="inner">
        <div class="dtree">
            <script type="text/javascript">
                dev_tree = new dTree('dev_tree');
                dev_tree.add(0,-1,'&Uuml;bersicht','device.php','','content_frame');
                <?php devices_build_navtree(); ?>
                document.write( dev_tree);
            </script>
            <br>
            <a href="javascript:dev_tree.openAll();">Alle Anzeigen</a> | <a href="javascript:dev_tree.closeAll();">Alle Schliessen</a>
        </div>
    </div>
</div>

<?php
    }
?>

<div class="outer">
    <h2>Verwaltung / Tools</h2>
    <div class="inner">
        <div class="dtree inner">
            <script type="text/javascript">
                menue = new dTree('menue');
                menue.add(0,-1,'');
                menue.add(1,0,'Tools','','','');
                menue.add(2,1,'Import','import.php"','','content_frame');
                menue.add(3,1,'Labels','tools/label.php"','','content_frame');
                menue.add(4,1,'Widerstandsrechner','tools/rechner.php"','','content_frame');
                <?php if (! $disable_footprints) { ?>
                    menue.add(5,1,'Footprints','tools/footprints.php"','','content_frame');
                <?php } ?>
                menue.add(6,1,'IC-Logos','tools/iclogos.php"','','content_frame');

                menue.add(7,0,'Zeige','','','');
                menue.add(8,7,'Zu bestellende Teile','orderparts.php"','','content_frame');
                menue.add(9,7,'Teile ohne Preis','nopriceparts.php"','','content_frame');
                menue.add(10,7,'Nicht mehr erh&auml;ltliche Teile','obsoleteparts.php"','','content_frame');
                menue.add(11,7,'Statistik','stats.php"','','content_frame');
                <?php if (! $disable_help) { ?>
                    menue.add(12,7,'Hilfe','help.php"','','content_frame');
                <?php } ?>

                menue.add(13,0,'Bearbeiten','','','');
                <?php if (! $disable_devices) { ?>
                    menue.add(14,13,'Baugruppen','devmgr.php"','','content_frame');
                <?php } ?>
                menue.add(15,13,'Lagerorte','locmgr.php"','','content_frame');
                <?php if (! $disable_footprints) { ?>
                menue.add(16,13,'Footprints','fpmgr.php"','','content_frame');
                <?php } ?>
                menue.add(17,13,'Kategorien','catmgr.php"','','content_frame');
                menue.add(18,13,'Lieferanten','supmgr.php','','content_frame');

                <?php if (! $disable_config) { ?>
                    menue.add(19,0,'Konfiguration','','','');
                    menue.add(20,19,'System',    'config_system.php', '', 'content_frame');
                    menue.add(21,19,'Datenbank', 'config_page.php', '', 'content_frame');
                <?php } ?>
                document.write(menue);
            </script>
            <br>
            <a href="javascript:menue.openAll();">Alle Anzeigen</a> | <a href="javascript:menue.closeAll();">Alle Schliessen</a>
        </div>
    </div>
</div>

</body>
</html>
